package com.eactive.eai.inbound.action;

import java.util.Properties;

public interface RequestAction
{
    /**
     *  Inbound Adapter 이름을 초기화 한다.
     */
    public void setAdapterInfo(String adapterGroupName, String adapterName, Properties prop);

    /**
     *  input message로 부터 업무 Key 필드를 생성 반환한다.
     */
    public String[] perform(Object message) throws ActionException;

    public String getDescription();

}
